import { PureComponent } from 'react';
import { ProviderFactory } from '../../provider-factory';
import { type ProfilecardProvider } from '../../provider-factory/profile-card-provider';
import { type MentionEventHandlers } from '../EventHandlers';
export interface MentionProps {
    id: string;
    providers?: ProviderFactory;
    eventHandlers?: MentionEventHandlers;
    text: string;
    accessLevel?: string;
    localId?: string;
}
export interface MentionState {
    profilecardProvider: ProfilecardProvider | null;
}
export default class Mention extends PureComponent<MentionProps, {}> {
    private providerFactory;
    constructor(props: MentionProps);
    componentWillUnmount(): void;
    private renderWithProvider;
    render(): JSX.Element;
}
